View Issue Details

IDProjectCategoryView StatusLast Update
0017869LazarusLCLpublic2010-11-10 17:19
ReporterDon WhitbeckAssigned ToJesus Reyes 
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target VersionFixed in Version0.9.29 (SVN) 
Summary0017869: Using DBLookupListBox with SQLDB, after accessing data an exception is thrown "exception class external SIGSEGV"
DescriptionConnect a DBLookuplistBox to a Firebird table using SQLDB.
Scroll the data .
Close and re open the table and you get the crash.
Also DBLookupListBox does not respond to a single click event.

Additional InformationException is thrown in GTK2int
TagsNo tags attached.
Fixed in Revision28147
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Jesus Reyes

2010-11-08 07:56

developer   ~0042876

please test

Don Whitbeck

2010-11-09 04:52

reporter   ~0042903

It tests OK now.

Vincent Snijders

2010-11-09 08:35

manager   ~0042904

Then you may close this issue.

Issue History

Date Modified Username Field Change
2010-11-07 20:05 Don Whitbeck New Issue
2010-11-07 20:05 Don Whitbeck Widgetset => GTK 2
2010-11-07 20:13 Jesus Reyes Status new => assigned
2010-11-07 20:13 Jesus Reyes Assigned To => Jesus Reyes
2010-11-08 07:56 Jesus Reyes Fixed in Revision => 28147
2010-11-08 07:56 Jesus Reyes LazTarget => -
2010-11-08 07:56 Jesus Reyes Status assigned => resolved
2010-11-08 07:56 Jesus Reyes Fixed in Version => 0.9.29 (SVN)
2010-11-08 07:56 Jesus Reyes Resolution open => fixed
2010-11-08 07:56 Jesus Reyes Note Added: 0042876
2010-11-09 04:52 Don Whitbeck Note Added: 0042903
2010-11-09 08:35 Vincent Snijders Note Added: 0042904
2010-11-10 17:19 Don Whitbeck Status resolved => closed